com.explodingpixels.macwidgets

## Class ITunesRatingTableCellEditor

- java.lang.Object
- - javax.swing.AbstractCellEditor
  - - com.explodingpixels.macwidgets.ITunesRatingTableCellEditor

- All Implemented Interfaces:
    Serializable, CellEditor, TableCellEditor

      public class ITunesRatingTableCellEditor
      extends AbstractCellEditor
      implements TableCellEditor

  This table cell editor allows users to a adjust a Rating dragging a mouse over the editor area.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractCellEditor

      `changeEvent, listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ITunesRatingTableCellEditor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getCellEditorValue()`
    `Component` | `getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)`
    `boolean` | `isCellEditable(EventObject e)`
    `boolean` | `shouldSelectCell(EventObject anEvent)`

    - ### Methods inherited from class javax.swing.AbstractCellEditor

      `addCellEditorListener, cancelCellEditing, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener, stopCellEditing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.CellEditor

      `addCellEditorListener, cancelCellEditing, removeCellEditorListener, stopCellEditing`

- - ### Constructor Detail

    - #### ITunesRatingTableCellEditor

          public ITunesRatingTableCellEditor()

  - ### Method Detail

    - #### getCellEditorValue

          public Object getCellEditorValue()

      Specified by:
        `getCellEditorValue` in interface `CellEditor`

    - #### getTableCellEditorComponent

          public Component getTableCellEditorComponent(JTable table,
                                              Object value,
                                              boolean isSelected,
                                              int row,
                                              int column)

      Specified by:
        `getTableCellEditorComponent` in interface `TableCellEditor`

    - #### isCellEditable

          public boolean isCellEditable(EventObject e)

      Specified by:
        `isCellEditable` in interface `CellEditor`
      Overrides:
        `isCellEditable` in class `AbstractCellEditor`

    - #### shouldSelectCell

          public boolean shouldSelectCell(EventObject anEvent)

      Specified by:
        `shouldSelectCell` in interface `CellEditor`
      Overrides:
        `shouldSelectCell` in class `AbstractCellEditor`